#10.15.10 01.45 chap2exer.r
#Copyright 2010 by Robert A LaBudde, all rights reserved
#Chapter 2 exercises
#created: 10.15.10 by r.a. labudde
#changes:

#EXERCISE 2.1: AIRLINE ACCIDENTS
set.seed(1)
x<- c(23, 16, 21, 24, 34, 30, 28, 24, 26, 18, 23, 23, 36, 37, 49, 50, 51, 56, 46, 41, 54, 30, 40, 31)
n<- length(x)
B<- 1000

xMean<- NULL
xMed<- NULL
xSEmean<- NULL
xSEmed<- NULL

for (i in 1:B) {  #for each bootstrap resample
  xx<- sample(x, n, replace=TRUE) #resample
  xMean[i]<- mean(xx)  #keep track of mean estimates
  xMed[i]<- median(xx)  #keep track of median estimates
}

c(mean(x), sd(x)/sqrt(n)) #show mean of data and calculated standard error
c(mean(xMean), sd(xMean)) #show mean estimate and standard error

median(x)   #show median of data
c(mean(xMed), sd(xMed))   #show median estimate and standard error
median(xMed)              #show median of medians
