#11.30.10 23.30 chap4.r
#copyright 2010 by Robert A LaBudde, all rights reserved
#Intro to Bootstrap, Chap. 4
#created: 11.30.10 by r.a. labudde
#changes:

#EXAMPLE 4-1: RESAMPLE 2 SAMPLEs
set.seed(1)
n1<- 29
x1<- rnorm(n1, 1.143, 0.164)  #some random normal variates
n2<- 33
x2<- rnorm(n2, 1.175, 0.169)  #2nd random sample
theta<- as.vector(NULL)  #vector to hold difference estimates
for (i in 1:1000) { #bootstrap resamples
  xx1<- sample(x1, n1, replace=TRUE)
  xx2<- sample(x2, n2, replace=TRUE)
  theta[i]<- mean(xx1)-mean(xx2)
}
quantile(theta, probs=c(.025,0.975))  #Efron percentile CI on difference in means
quantile(theta, probs=0.05) #Efron percentile test of H0: mu1=mu2 vs. H1: mu1 < mu2 @ alpha=0.05

