#09.29.10 01.30 ex2-1-3.r
#Copyright 2010 by Robert A LaBudde, all rights reserved
#created: 09.29.10 by R. A. LaBudde from SAS
#changes: 


#The Original Sample Discriminant Function
classes<- data.frame(class=c(rep(1,5),rep(2,5)), 
  x1=c(2.052,1.083,0.083,1.278,-1.226, 1.307,-0.548,2.498,0.832,1.498), 
  x2=c(0.339,-1.320,-1.524,-0.459,-0.606, 2.268,1.741,0.813,1.409,2.063))
classes #show data

require('MASS')
ldaOrig<- lda(class ~ x1 + x2, data=classes)
ldaOrig
predict(ldaOrig, classes)$class   #show resubstitution assignment

#First Bootstrap Sample Discriminant Function
classes1<- data.frame(class=c(rep(1,5),rep(2,5)), 
  x1=c(2.052,1.083,0.083,0.083,-1.226, 1.307,0.832,2.498,0.832,1.498), 
  x2=c(0.339,-1.320,-1.524,-1.524,-0.606, 2.268,1.409,0.813,1.409,2.063))
classes1 #show data

ldaBS1<- lda(class ~ x1 + x2, data=classes1)
ldaBS1
predict(ldaBS1, classes)$class   #show performance on original data

#Second Bootstrap Sample Discriminant Function
classes2<- data.frame(class=c(rep(1,5),rep(2,5)), 
  x1=c(2.052,1.083,0.083,0.083,-1.226, -0.548,0.832,0.832,0.832,0.832), 
  x2=c(0.339,-1.320,-1.524,-1.524,-0.606, 1.741,1.409,1.409,1.409,1.409))
classes2 #show data

ldaBS2<- lda(class ~ x1 + x2, data=classes1)
ldaBS2
predict(ldaBS2, classes)$class   #show performance on original data

#Third Bootstrap Sample Discriminant Function
classes3<- data.frame(class=c(rep(1,4),rep(2,6)), 
  x1=c(1.083,0.083,1.278,-1.226,1.307, 1.307,-0.548,-0.548,2.498,0.832), 
  x2=c(-1.320,-1.524,-0.459,-0.606,2.268, 2.268,1.741,1.741,0.813,1.409))
classes3 #show data

ldaBS3<- lda(class ~ x1 + x2, data=classes3)
ldaBS3
predict(ldaBS3, classes)$class   #show performance on original data

#Fourth Bootstrap Sample Discriminant Function
classes4<- data.frame(class=c(rep(1,6),rep(2,4)), 
  x1=c(2.052,1.083,0.083,1.278,-1.226,-1.226, 1.307,-0.548,0.832,1.498), 
  x2=c(0.339,-1.320,-1.524,-0.459,-0.606,-0.606, 2.268,1.741,1.409,2.063))
classes4 #show data

ldaBS4<- lda(class ~ x1 + x2, data=classes4)
ldaBS4
predict(ldaBS4, classes)$class   #show performance on original data

#Fifth Bootstrap Sample Discriminant Function
classes5<- data.frame(class=c(rep(1,4),rep(2,6)), 
  x1=c(1.083,0.083,0.083,1.278, 1.307,-0.548,-0.548,2.498,0.832,1.498), 
  x2=c(-1.320,-1.524,-1.524,-0.459, 2.268,1.741,1.741,0.813,1.409,2.063))
classes5 #show data

ldaBS5<- lda(class ~ x1 + x2, data=classes5)
ldaBS5
predict(ldaBS5, classes)$class   #show performance on original data

#Sixth Bootstrap Sample Discriminant Function
classes6<- data.frame(class=c(rep(1,2),rep(2,8)), 
  x1=c(0.083,-1.226, 1.307,1.307,-0.548,-0.548,2.498,0.832,1.498,1.498), 
  x2=c(-1.524,-0.606, 2.268,2.268,1.741,1.741,-0.459,1.409,2.063,2.063))
classes6 #show data

ldaBS6<- lda(class ~ x1 + x2, data=classes6)
ldaBS6
predict(ldaBS6, classes)$class   #show performance on original data
